Package org.eclipse.jdt.debug.core

# Interface IJavaTargetPatternBreakpoint

All Superinterfaces:
  `IAdaptable`, `IBreakpoint`, `IJavaBreakpoint`, `IJavaLineBreakpoint`, `ILineBreakpoint`, `ITriggerPoint`

public interface IJavaTargetPatternBreakpoint extends IJavaLineBreakpoint
A line breakpoint installed in types associated with a specific source file (based on source file name debug attribute) and whose fully qualified name matches a specified pattern per target. The {target, type name pattern} pairs are not persisted with this breakpoint, as targets are transient. Clients that use this type of breakpoint are intended to be breakpoint listeners that set a pattern per target as each breakpoint is added to a target.

Since:
  2.0
See Also:
  - `IJavaBreakpointListener`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPattern(IJavaDebugTarget target)`
Returns the type name pattern this breakpoint uses to identify types in which to install itself in the given target
`String`
`getSourceName()`
Returns the source file name in which this breakpoint is set.
`void`
`setPattern(IJavaDebugTarget target, String pattern)`
Sets the type name pattern this breakpoint uses to identify types in which to install itself in the given target

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Method Details

### getPattern

String getPattern(IJavaDebugTarget target)
Returns the type name pattern this breakpoint uses to identify types in which to install itself in the given target

Parameters:
  `target` - debug target
Returns:
  the type name pattern this breakpoint uses to identify types in which to install itself in the given target

### setPattern

void setPattern(IJavaDebugTarget target, String pattern) throws CoreException
Sets the type name pattern this breakpoint uses to identify types in which to install itself in the given target

Parameters:
  `target` - debug target
  `pattern` - type name pattern
Throws:
  `CoreException` - if changing the pattern for this breakpoint fails

### getSourceName

String getSourceName() throws CoreException
Returns the source file name in which this breakpoint is set. When this breakpoint specifies a source file name, this breakpoint is only installed in types whose source file name debug attribute match this value.

Returns:
  the source file name in which this breakpoint is set
Throws:
  `CoreException` - if unable to access the property from this breakpoint's underlying marker